import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import { getConfirmationModalProps } from 'ui/mock/context'
import { ConfirmationModal } from '.';
import { action } from '@storybook/addon-actions';
import {Box} from 'rebass'
import Modal from 'ui/modules/Modal'

<Meta title="Modules| Confirmation Modal" component={ConfirmationModal}/>

# ConfirmationModal
Let's define a story for the `Confirmation Modal preview` module

<Preview>
  <Story name="Confirmation Modal module">
    <Modal closeModal={action('close modal')}>
      <ConfirmationModal {...getConfirmationModalProps()}/>
    </Modal>
  </Story>
</Preview>